
_SPI_LCD_Cmd:

	CLRF       SPI_LCD_Cmd_rs_L0+0
	MOVLW      240
	ANDWF      FARG_SPI_LCD_Cmd_out_char+0, 0
	MOVWF      SPI_LCD_Cmd_hi_n_L0+0
	MOVF       FARG_SPI_LCD_Cmd_out_char+0, 0
	MOVWF      SPI_LCD_Cmd_lo_n_L0+0
	LSLF       SPI_LCD_Cmd_lo_n_L0+0, 1
	LSLF       SPI_LCD_Cmd_lo_n_L0+0, 1
	LSLF       SPI_LCD_Cmd_lo_n_L0+0, 1
	LSLF       SPI_LCD_Cmd_lo_n_L0+0, 1
	MOVLW      240
	ANDWF      SPI_LCD_Cmd_lo_n_L0+0, 1
	BCF        RA0_bit, 5
	MOVLW      64
	MOVWF      FARG_Soft_SPI_Write_sdata+0
	CALL       _Soft_SPI_Write+0
	MOVLW      9
	MOVWF      FARG_Soft_SPI_Write_sdata+0
	CALL       _Soft_SPI_Write+0
	MOVF       SPI_LCD_Cmd_rs_L0+0, 0
	IORWF       SPI_LCD_Cmd_hi_n_L0+0, 0
	MOVWF      FARG_Soft_SPI_Write_sdata+0
	BSF        FARG_Soft_SPI_Write_sdata+0, 2
	BSF        FARG_Soft_SPI_Write_sdata+0, 3
	CALL       _Soft_SPI_Write+0
	BSF        RA0_bit, 5
	MOVLW      16
	MOVWF      R13
L_SPI_LCD_Cmd0:
	DECFSZ     R13, 1
	GOTO       L_SPI_LCD_Cmd0
	NOP
	BCF        RA0_bit, 5
	MOVLW      64
	MOVWF      FARG_Soft_SPI_Write_sdata+0
	CALL       _Soft_SPI_Write+0
	MOVLW      9
	MOVWF      FARG_Soft_SPI_Write_sdata+0
	CALL       _Soft_SPI_Write+0
	MOVF       SPI_LCD_Cmd_rs_L0+0, 0
	IORWF       SPI_LCD_Cmd_hi_n_L0+0, 0
	MOVWF      FARG_Soft_SPI_Write_sdata+0
	BSF        FARG_Soft_SPI_Write_sdata+0, 3
	CALL       _Soft_SPI_Write+0
	BSF        RA0_bit, 5
	MOVLW      33
	MOVWF      R13
L_SPI_LCD_Cmd1:
	DECFSZ     R13, 1
	GOTO       L_SPI_LCD_Cmd1
	BCF        RA0_bit, 5
	MOVLW      64
	MOVWF      FARG_Soft_SPI_Write_sdata+0
	CALL       _Soft_SPI_Write+0
	MOVLW      9
	MOVWF      FARG_Soft_SPI_Write_sdata+0
	CALL       _Soft_SPI_Write+0
	MOVF       SPI_LCD_Cmd_rs_L0+0, 0
	IORWF       SPI_LCD_Cmd_lo_n_L0+0, 0
	MOVWF      FARG_Soft_SPI_Write_sdata+0
	BSF        FARG_Soft_SPI_Write_sdata+0, 2
	BSF        FARG_Soft_SPI_Write_sdata+0, 3
	CALL       _Soft_SPI_Write+0
	BSF        RA0_bit, 5
	MOVLW      16
	MOVWF      R13
L_SPI_LCD_Cmd2:
	DECFSZ     R13, 1
	GOTO       L_SPI_LCD_Cmd2
	NOP
	BCF        RA0_bit, 5
	MOVLW      64
	MOVWF      FARG_Soft_SPI_Write_sdata+0
	CALL       _Soft_SPI_Write+0
	MOVLW      9
	MOVWF      FARG_Soft_SPI_Write_sdata+0
	CALL       _Soft_SPI_Write+0
	MOVF       SPI_LCD_Cmd_rs_L0+0, 0
	IORWF       SPI_LCD_Cmd_lo_n_L0+0, 0
	MOVWF      FARG_Soft_SPI_Write_sdata+0
	BSF        FARG_Soft_SPI_Write_sdata+0, 3
	CALL       _Soft_SPI_Write+0
	BSF        RA0_bit, 5
	MOVF       FARG_SPI_LCD_Cmd_out_char+0, 0
	XORLW      1
	BTFSS      NOT_TO_bit, 2
	GOTO       L_SPI_LCD_Cmd3
	MOVLW      3
	MOVWF      R12
	MOVLW      151
	MOVWF      R13
L_SPI_LCD_Cmd4:
	DECFSZ     R13, 1
	GOTO       L_SPI_LCD_Cmd4
	DECFSZ     R12, 1
	GOTO       L_SPI_LCD_Cmd4
	NOP
	NOP
L_SPI_LCD_Cmd3:
L_end_SPI_LCD_Cmd:
	RETURN
; end of _SPI_LCD_Cmd

_SPI_LCD_Chr:

	MOVLW      1
	MOVWF      SPI_LCD_Chr_rs_L0+0
	GOTO       L_SPI_LCD_Chr5
L_SPI_LCD_Chr7:
	DECF       FARG_SPI_LCD_Chr_column+0, 0
	MOVWF      R0
	MOVF       R0, 0
	ADDLW      128
	MOVWF      FARG_SPI_LCD_Cmd_out_char+0
	CALL       _SPI_LCD_Cmd+0
	GOTO       L_SPI_LCD_Chr6
L_SPI_LCD_Chr8:
	DECF       FARG_SPI_LCD_Chr_column+0, 0
	MOVWF      R0
	MOVF       R0, 0
	ADDLW      192
	MOVWF      FARG_SPI_LCD_Cmd_out_char+0
	CALL       _SPI_LCD_Cmd+0
	GOTO       L_SPI_LCD_Chr6
L_SPI_LCD_Chr9:
	DECF       FARG_SPI_LCD_Chr_column+0, 0
	MOVWF      R0
	MOVF       R0, 0
	ADDLW      148
	MOVWF      FARG_SPI_LCD_Cmd_out_char+0
	CALL       _SPI_LCD_Cmd+0
	GOTO       L_SPI_LCD_Chr6
L_SPI_LCD_Chr10:
	DECF       FARG_SPI_LCD_Chr_column+0, 0
	MOVWF      R0
	MOVF       R0, 0
	ADDLW      212
	MOVWF      FARG_SPI_LCD_Cmd_out_char+0
	CALL       _SPI_LCD_Cmd+0
	GOTO       L_SPI_LCD_Chr6
L_SPI_LCD_Chr5:
	MOVF       FARG_SPI_LCD_Chr_row+0, 0
	XORLW      1
	BTFSC      NOT_TO_bit, 2
	GOTO       L_SPI_LCD_Chr7
	MOVF       FARG_SPI_LCD_Chr_row+0, 0
	XORLW      2
	BTFSC      NOT_TO_bit, 2
	GOTO       L_SPI_LCD_Chr8
	MOVF       FARG_SPI_LCD_Chr_row+0, 0
	XORLW      3
	BTFSC      NOT_TO_bit, 2
	GOTO       L_SPI_LCD_Chr9
	MOVF       FARG_SPI_LCD_Chr_row+0, 0
	XORLW      4
	BTFSC      NOT_TO_bit, 2
	GOTO       L_SPI_LCD_Chr10
L_SPI_LCD_Chr6:
	MOVLW      240
	ANDWF      FARG_SPI_LCD_Chr_out_char+0, 0
	MOVWF      SPI_LCD_Chr_hi_n_L0+0
	MOVF       FARG_SPI_LCD_Chr_out_char+0, 0
	MOVWF      SPI_LCD_Chr_lo_n_L0+0
	LSLF       SPI_LCD_Chr_lo_n_L0+0, 1
	LSLF       SPI_LCD_Chr_lo_n_L0+0, 1
	LSLF       SPI_LCD_Chr_lo_n_L0+0, 1
	LSLF       SPI_LCD_Chr_lo_n_L0+0, 1
	MOVLW      240
	ANDWF      SPI_LCD_Chr_lo_n_L0+0, 1
	BCF        RA0_bit, 5
	MOVLW      64
	MOVWF      FARG_Soft_SPI_Write_sdata+0
	CALL       _Soft_SPI_Write+0
	MOVLW      9
	MOVWF      FARG_Soft_SPI_Write_sdata+0
	CALL       _Soft_SPI_Write+0
	MOVF       SPI_LCD_Chr_rs_L0+0, 0
	IORWF       SPI_LCD_Chr_hi_n_L0+0, 0
	MOVWF      FARG_Soft_SPI_Write_sdata+0
	BSF        FARG_Soft_SPI_Write_sdata+0, 2
	BSF        FARG_Soft_SPI_Write_sdata+0, 3
	CALL       _Soft_SPI_Write+0
	BSF        RA0_bit, 5
	MOVLW      16
	MOVWF      R13
L_SPI_LCD_Chr11:
	DECFSZ     R13, 1
	GOTO       L_SPI_LCD_Chr11
	NOP
	BCF        RA0_bit, 5
	MOVLW      64
	MOVWF      FARG_Soft_SPI_Write_sdata+0
	CALL       _Soft_SPI_Write+0
	MOVLW      9
	MOVWF      FARG_Soft_SPI_Write_sdata+0
	CALL       _Soft_SPI_Write+0
	MOVF       SPI_LCD_Chr_rs_L0+0, 0
	IORWF       SPI_LCD_Chr_hi_n_L0+0, 0
	MOVWF      FARG_Soft_SPI_Write_sdata+0
	BSF        FARG_Soft_SPI_Write_sdata+0, 3
	CALL       _Soft_SPI_Write+0
	BSF        RA0_bit, 5
	MOVLW      33
	MOVWF      R13
L_SPI_LCD_Chr12:
	DECFSZ     R13, 1
	GOTO       L_SPI_LCD_Chr12
	BCF        RA0_bit, 5
	MOVLW      64
	MOVWF      FARG_Soft_SPI_Write_sdata+0
	CALL       _Soft_SPI_Write+0
	MOVLW      9
	MOVWF      FARG_Soft_SPI_Write_sdata+0
	CALL       _Soft_SPI_Write+0
	MOVF       SPI_LCD_Chr_rs_L0+0, 0
	IORWF       SPI_LCD_Chr_lo_n_L0+0, 0
	MOVWF      FARG_Soft_SPI_Write_sdata+0
	BSF        FARG_Soft_SPI_Write_sdata+0, 2
	BSF        FARG_Soft_SPI_Write_sdata+0, 3
	CALL       _Soft_SPI_Write+0
	BSF        RA0_bit, 5
	MOVLW      16
	MOVWF      R13
L_SPI_LCD_Chr13:
	DECFSZ     R13, 1
	GOTO       L_SPI_LCD_Chr13
	NOP
	BCF        RA0_bit, 5
	MOVLW      64
	MOVWF      FARG_Soft_SPI_Write_sdata+0
	CALL       _Soft_SPI_Write+0
	MOVLW      9
	MOVWF      FARG_Soft_SPI_Write_sdata+0
	CALL       _Soft_SPI_Write+0
	MOVF       SPI_LCD_Chr_rs_L0+0, 0
	IORWF       SPI_LCD_Chr_lo_n_L0+0, 0
	MOVWF      FARG_Soft_SPI_Write_sdata+0
	BSF        FARG_Soft_SPI_Write_sdata+0, 3
	CALL       _Soft_SPI_Write+0
	BSF        RA0_bit, 5
L_end_SPI_LCD_Chr:
	RETURN
; end of _SPI_LCD_Chr

_SPI_LCD_Chr_Cp:

	MOVLW      1
	MOVWF      SPI_LCD_Chr_Cp_rs_L0+0
	MOVLW      240
	ANDWF      FARG_SPI_LCD_Chr_Cp_out_char+0, 0
	MOVWF      SPI_LCD_Chr_Cp_hi_n_L0+0
	MOVF       FARG_SPI_LCD_Chr_Cp_out_char+0, 0
	MOVWF      SPI_LCD_Chr_Cp_lo_n_L0+0
	LSLF       SPI_LCD_Chr_Cp_lo_n_L0+0, 1
	LSLF       SPI_LCD_Chr_Cp_lo_n_L0+0, 1
	LSLF       SPI_LCD_Chr_Cp_lo_n_L0+0, 1
	LSLF       SPI_LCD_Chr_Cp_lo_n_L0+0, 1
	MOVLW      240
	ANDWF      SPI_LCD_Chr_Cp_lo_n_L0+0, 1
	BCF        RA0_bit, 5
	MOVLW      64
	MOVWF      FARG_Soft_SPI_Write_sdata+0
	CALL       _Soft_SPI_Write+0
	MOVLW      9
	MOVWF      FARG_Soft_SPI_Write_sdata+0
	CALL       _Soft_SPI_Write+0
	MOVF       SPI_LCD_Chr_Cp_rs_L0+0, 0
	IORWF       SPI_LCD_Chr_Cp_hi_n_L0+0, 0
	MOVWF      FARG_Soft_SPI_Write_sdata+0
	BSF        FARG_Soft_SPI_Write_sdata+0, 2
	BSF        FARG_Soft_SPI_Write_sdata+0, 3
	CALL       _Soft_SPI_Write+0
	BSF        RA0_bit, 5
	MOVLW      16
	MOVWF      R13
L_SPI_LCD_Chr_Cp14:
	DECFSZ     R13, 1
	GOTO       L_SPI_LCD_Chr_Cp14
	NOP
	BCF        RA0_bit, 5
	MOVLW      64
	MOVWF      FARG_Soft_SPI_Write_sdata+0
	CALL       _Soft_SPI_Write+0
	MOVLW      9
	MOVWF      FARG_Soft_SPI_Write_sdata+0
	CALL       _Soft_SPI_Write+0
	MOVF       SPI_LCD_Chr_Cp_rs_L0+0, 0
	IORWF       SPI_LCD_Chr_Cp_hi_n_L0+0, 0
	MOVWF      FARG_Soft_SPI_Write_sdata+0
	BSF        FARG_Soft_SPI_Write_sdata+0, 3
	CALL       _Soft_SPI_Write+0
	BSF        RA0_bit, 5
	MOVLW      33
	MOVWF      R13
L_SPI_LCD_Chr_Cp15:
	DECFSZ     R13, 1
	GOTO       L_SPI_LCD_Chr_Cp15
	BCF        RA0_bit, 5
	MOVLW      64
	MOVWF      FARG_Soft_SPI_Write_sdata+0
	CALL       _Soft_SPI_Write+0
	MOVLW      9
	MOVWF      FARG_Soft_SPI_Write_sdata+0
	CALL       _Soft_SPI_Write+0
	MOVF       SPI_LCD_Chr_Cp_rs_L0+0, 0
	IORWF       SPI_LCD_Chr_Cp_lo_n_L0+0, 0
	MOVWF      FARG_Soft_SPI_Write_sdata+0
	BSF        FARG_Soft_SPI_Write_sdata+0, 2
	BSF        FARG_Soft_SPI_Write_sdata+0, 3
	CALL       _Soft_SPI_Write+0
	BSF        RA0_bit, 5
	MOVLW      16
	MOVWF      R13
L_SPI_LCD_Chr_Cp16:
	DECFSZ     R13, 1
	GOTO       L_SPI_LCD_Chr_Cp16
	NOP
	BCF        RA0_bit, 5
	MOVLW      64
	MOVWF      FARG_Soft_SPI_Write_sdata+0
	CALL       _Soft_SPI_Write+0
	MOVLW      9
	MOVWF      FARG_Soft_SPI_Write_sdata+0
	CALL       _Soft_SPI_Write+0
	MOVF       SPI_LCD_Chr_Cp_rs_L0+0, 0
	IORWF       SPI_LCD_Chr_Cp_lo_n_L0+0, 0
	MOVWF      FARG_Soft_SPI_Write_sdata+0
	BSF        FARG_Soft_SPI_Write_sdata+0, 3
	CALL       _Soft_SPI_Write+0
	BSF        RA0_bit, 5
L_end_SPI_LCD_Chr_Cp:
	RETURN
; end of _SPI_LCD_Chr_Cp

_SPI_LCD_Init:

	CLRF       SPI_LCD_Init_rs_L0+0
	MOVLW      39
	MOVWF      R12
	MOVLW      245
	MOVWF      R13
L_SPI_LCD_Init17:
	DECFSZ     R13, 1
	GOTO       L_SPI_LCD_Init17
	DECFSZ     R12, 1
	GOTO       L_SPI_LCD_Init17
	BCF        RA0_bit, 5
	MOVLW      64
	MOVWF      FARG_Soft_SPI_Write_sdata+0
	CALL       _Soft_SPI_Write+0
	MOVLW      9
	MOVWF      FARG_Soft_SPI_Write_sdata+0
	CALL       _Soft_SPI_Write+0
	MOVLW      48
	IORWF       SPI_LCD_Init_rs_L0+0, 0
	MOVWF      FARG_Soft_SPI_Write_sdata+0
	BSF        FARG_Soft_SPI_Write_sdata+0, 2
	BSF        FARG_Soft_SPI_Write_sdata+0, 3
	CALL       _Soft_SPI_Write+0
	MOVLW      16
	MOVWF      R13
L_SPI_LCD_Init18:
	DECFSZ     R13, 1
	GOTO       L_SPI_LCD_Init18
	NOP
	BCF        RA0_bit, 5
	MOVLW      64
	MOVWF      FARG_Soft_SPI_Write_sdata+0
	CALL       _Soft_SPI_Write+0
	MOVLW      9
	MOVWF      FARG_Soft_SPI_Write_sdata+0
	CALL       _Soft_SPI_Write+0
	MOVLW      48
	IORWF       SPI_LCD_Init_rs_L0+0, 0
	MOVWF      FARG_Soft_SPI_Write_sdata+0
	BSF        FARG_Soft_SPI_Write_sdata+0, 3
	CALL       _Soft_SPI_Write+0
	BSF        RA0_bit, 5
	MOVLW      13
	MOVWF      R12
	MOVLW      251
	MOVWF      R13
L_SPI_LCD_Init19:
	DECFSZ     R13, 1
	GOTO       L_SPI_LCD_Init19
	DECFSZ     R12, 1
	GOTO       L_SPI_LCD_Init19
	NOP
	NOP
	BCF        RA0_bit, 5
	MOVLW      64
	MOVWF      FARG_Soft_SPI_Write_sdata+0
	CALL       _Soft_SPI_Write+0
	MOVLW      9
	MOVWF      FARG_Soft_SPI_Write_sdata+0
	CALL       _Soft_SPI_Write+0
	MOVLW      48
	IORWF       SPI_LCD_Init_rs_L0+0, 0
	MOVWF      FARG_Soft_SPI_Write_sdata+0
	BSF        FARG_Soft_SPI_Write_sdata+0, 2
	BSF        FARG_Soft_SPI_Write_sdata+0, 3
	CALL       _Soft_SPI_Write+0
	BSF        RA0_bit, 5
	MOVLW      16
	MOVWF      R13
L_SPI_LCD_Init20:
	DECFSZ     R13, 1
	GOTO       L_SPI_LCD_Init20
	NOP
	BCF        RA0_bit, 5
	MOVLW      64
	MOVWF      FARG_Soft_SPI_Write_sdata+0
	CALL       _Soft_SPI_Write+0
	MOVLW      9
	MOVWF      FARG_Soft_SPI_Write_sdata+0
	CALL       _Soft_SPI_Write+0
	MOVLW      48
	IORWF       SPI_LCD_Init_rs_L0+0, 0
	MOVWF      FARG_Soft_SPI_Write_sdata+0
	BSF        FARG_Soft_SPI_Write_sdata+0, 3
	CALL       _Soft_SPI_Write+0
	BSF        RA0_bit, 5
	MOVLW      13
	MOVWF      R12
	MOVLW      251
	MOVWF      R13
L_SPI_LCD_Init21:
	DECFSZ     R13, 1
	GOTO       L_SPI_LCD_Init21
	DECFSZ     R12, 1
	GOTO       L_SPI_LCD_Init21
	NOP
	NOP
	BCF        RA0_bit, 5
	MOVLW      64
	MOVWF      FARG_Soft_SPI_Write_sdata+0
	CALL       _Soft_SPI_Write+0
	MOVLW      9
	MOVWF      FARG_Soft_SPI_Write_sdata+0
	CALL       _Soft_SPI_Write+0
	MOVLW      48
	IORWF       SPI_LCD_Init_rs_L0+0, 0
	MOVWF      FARG_Soft_SPI_Write_sdata+0
	BSF        FARG_Soft_SPI_Write_sdata+0, 2
	BSF        FARG_Soft_SPI_Write_sdata+0, 3
	CALL       _Soft_SPI_Write+0
	BSF        RA0_bit, 5
	MOVLW      16
	MOVWF      R13
L_SPI_LCD_Init22:
	DECFSZ     R13, 1
	GOTO       L_SPI_LCD_Init22
	NOP
	BCF        RA0_bit, 5
	MOVLW      64
	MOVWF      FARG_Soft_SPI_Write_sdata+0
	CALL       _Soft_SPI_Write+0
	MOVLW      9
	MOVWF      FARG_Soft_SPI_Write_sdata+0
	CALL       _Soft_SPI_Write+0
	MOVLW      48
	IORWF       SPI_LCD_Init_rs_L0+0, 0
	MOVWF      FARG_Soft_SPI_Write_sdata+0
	BSF        FARG_Soft_SPI_Write_sdata+0, 3
	CALL       _Soft_SPI_Write+0
	BSF        RA0_bit, 5
	MOVLW      13
	MOVWF      R12
	MOVLW      251
	MOVWF      R13
L_SPI_LCD_Init23:
	DECFSZ     R13, 1
	GOTO       L_SPI_LCD_Init23
	DECFSZ     R12, 1
	GOTO       L_SPI_LCD_Init23
	NOP
	NOP
	BCF        RA0_bit, 5
	MOVLW      64
	MOVWF      FARG_Soft_SPI_Write_sdata+0
	CALL       _Soft_SPI_Write+0
	MOVLW      9
	MOVWF      FARG_Soft_SPI_Write_sdata+0
	CALL       _Soft_SPI_Write+0
	MOVLW      32
	IORWF       SPI_LCD_Init_rs_L0+0, 0
	MOVWF      FARG_Soft_SPI_Write_sdata+0
	BSF        FARG_Soft_SPI_Write_sdata+0, 2
	BSF        FARG_Soft_SPI_Write_sdata+0, 3
	CALL       _Soft_SPI_Write+0
	BSF        RA0_bit, 5
	MOVLW      16
	MOVWF      R13
L_SPI_LCD_Init24:
	DECFSZ     R13, 1
	GOTO       L_SPI_LCD_Init24
	NOP
	BCF        RA0_bit, 5
	MOVLW      64
	MOVWF      FARG_Soft_SPI_Write_sdata+0
	CALL       _Soft_SPI_Write+0
	MOVLW      9
	MOVWF      FARG_Soft_SPI_Write_sdata+0
	CALL       _Soft_SPI_Write+0
	MOVLW      32
	IORWF       SPI_LCD_Init_rs_L0+0, 0
	MOVWF      FARG_Soft_SPI_Write_sdata+0
	BSF        FARG_Soft_SPI_Write_sdata+0, 3
	CALL       _Soft_SPI_Write+0
	BSF        RA0_bit, 5
	MOVLW      13
	MOVWF      R12
	MOVLW      251
	MOVWF      R13
L_SPI_LCD_Init25:
	DECFSZ     R13, 1
	GOTO       L_SPI_LCD_Init25
	DECFSZ     R12, 1
	GOTO       L_SPI_LCD_Init25
	NOP
	NOP
	MOVLW      40
	MOVWF      FARG_SPI_LCD_Cmd_out_char+0
	CALL       _SPI_LCD_Cmd+0
	MOVLW      6
	MOVWF      FARG_SPI_LCD_Cmd_out_char+0
	CALL       _SPI_LCD_Cmd+0
L_end_SPI_LCD_Init:
	RETURN
; end of _SPI_LCD_Init

_SPI_LCD_Out:

L_SPI_LCD_Out26:
	MOVF       FARG_SPI_LCD_Out_text+0, 0
	MOVWF      FSR0PTR
	MOVF       FARG_SPI_LCD_Out_text+1, 0
	MOVWF      FSR0H
	MOVF       INDF0, 0
	BTFSC      NOT_TO_bit, 2
	GOTO       L_SPI_LCD_Out27
	MOVF       FARG_SPI_LCD_Out_row+0, 0
	MOVWF      FARG_SPI_LCD_Chr_row+0
	MOVF       FARG_SPI_LCD_Out_col+0, 0
	MOVWF      FARG_SPI_LCD_Chr_column+0
	MOVF       FARG_SPI_LCD_Out_text+0, 0
	MOVWF      FSR0PTR
	MOVF       FARG_SPI_LCD_Out_text+1, 0
	MOVWF      FSR0H
	MOVF       INDF0, 0
	MOVWF      FARG_SPI_LCD_Chr_out_char+0
	CALL       _SPI_LCD_Chr+0
	INCF       FARG_SPI_LCD_Out_col+0, 1
	INCF       FARG_SPI_LCD_Out_text+0, 1
	BTFSC      NOT_TO_bit, 2
	INCF       FARG_SPI_LCD_Out_text+1, 1
	GOTO       L_SPI_LCD_Out26
L_SPI_LCD_Out27:
L_end_SPI_LCD_Out:
	RETURN
; end of _SPI_LCD_Out

_SPI_LCD_Out_Cp:

L_SPI_LCD_Out_Cp28:
	MOVF       FARG_SPI_LCD_Out_Cp_text+0, 0
	MOVWF      FSR0PTR
	MOVF       FARG_SPI_LCD_Out_Cp_text+1, 0
	MOVWF      FSR0H
	MOVF       INDF0, 0
	BTFSC      NOT_TO_bit, 2
	GOTO       L_SPI_LCD_Out_Cp29
	MOVF       FARG_SPI_LCD_Out_Cp_text+0, 0
	MOVWF      FSR0PTR
	MOVF       FARG_SPI_LCD_Out_Cp_text+1, 0
	MOVWF      FSR0H
	MOVF       INDF0, 0
	MOVWF      FARG_SPI_LCD_Chr_Cp_out_char+0
	CALL       _SPI_LCD_Chr_Cp+0
	INCF       FARG_SPI_LCD_Out_Cp_text+0, 1
	BTFSC      NOT_TO_bit, 2
	INCF       FARG_SPI_LCD_Out_Cp_text+1, 1
	GOTO       L_SPI_LCD_Out_Cp28
L_SPI_LCD_Out_Cp29:
L_end_SPI_LCD_Out_Cp:
	RETURN
; end of _SPI_LCD_Out_Cp

_main:

	MOVLW      7
	MOVWF      C1ON_bit
	CLRF       ANSA4_bit
	MOVLW      8
	MOVWF      TRISA0_bit
	CLRF       RA0_bit
	BCF        TRISA0_bit, 5
	BSF        RA0_bit, 5
	CALL       _Soft_SPI_Init+0
	BCF        RA0_bit, 5
	MOVLW      64
	MOVWF      FARG_Soft_SPI_Write_sdata+0
	CALL       _Soft_SPI_Write+0
	MOVLW      5
	MOVWF      FARG_Soft_SPI_Write_sdata+0
	CALL       _Soft_SPI_Write+0
	MOVLW      39
	MOVWF      FARG_Soft_SPI_Write_sdata+0
	CALL       _Soft_SPI_Write+0
	BSF        RA0_bit, 5
	BCF        RA0_bit, 5
	MOVLW      64
	MOVWF      FARG_Soft_SPI_Write_sdata+0
	CALL       _Soft_SPI_Write+0
	CLRF       FARG_Soft_SPI_Write_sdata+0
	CALL       _Soft_SPI_Write+0
	CLRF       FARG_Soft_SPI_Write_sdata+0
	CALL       _Soft_SPI_Write+0
	BSF        RA0_bit, 5
	BCF        RA0_bit, 5
	MOVLW      64
	MOVWF      FARG_Soft_SPI_Write_sdata+0
	CALL       _Soft_SPI_Write+0
	MOVLW      1
	MOVWF      FARG_Soft_SPI_Write_sdata+0
	CALL       _Soft_SPI_Write+0
	CLRF       FARG_Soft_SPI_Write_sdata+0
	CALL       _Soft_SPI_Write+0
	BSF        RA0_bit, 5
	BCF        RA0_bit, 5
	MOVLW      64
	MOVWF      FARG_Soft_SPI_Write_sdata+0
	CALL       _Soft_SPI_Write+0
	MOVLW      6
	MOVWF      FARG_Soft_SPI_Write_sdata+0
	CALL       _Soft_SPI_Write+0
	MOVLW      255
	MOVWF      FARG_Soft_SPI_Write_sdata+0
	CALL       _Soft_SPI_Write+0
	BSF        RA0_bit, 5
	CALL       _SPI_LCD_Init+0
	MOVLW      12
	MOVWF      FARG_SPI_LCD_Cmd_out_char+0
	CALL       _SPI_LCD_Cmd+0
	MOVLW      1
	MOVWF      FARG_SPI_LCD_Cmd_out_char+0
	CALL       _SPI_LCD_Cmd+0
	MOVLW      1
	MOVWF      FARG_SPI_LCD_Out_row+0
	MOVLW      1
	MOVWF      FARG_SPI_LCD_Out_col+0
	MOVLW      77
	MOVWF      ?lstr1_MCP23S09_32Based_32SW_32SPI_32LCD+0
	MOVLW      67
	MOVWF      ?lstr1_MCP23S09_32Based_32SW_32SPI_32LCD+1
	MOVLW      80
	MOVWF      ?lstr1_MCP23S09_32Based_32SW_32SPI_32LCD+2
	MOVLW      50
	MOVWF      ?lstr1_MCP23S09_32Based_32SW_32SPI_32LCD+3
	MOVLW      51
	MOVWF      ?lstr1_MCP23S09_32Based_32SW_32SPI_32LCD+4
	MOVLW      83
	MOVWF      ?lstr1_MCP23S09_32Based_32SW_32SPI_32LCD+5
	MOVLW      48
	MOVWF      ?lstr1_MCP23S09_32Based_32SW_32SPI_32LCD+6
	MOVLW      57
	MOVWF      ?lstr1_MCP23S09_32Based_32SW_32SPI_32LCD+7
	MOVLW      32
	MOVWF      ?lstr1_MCP23S09_32Based_32SW_32SPI_32LCD+8
	MOVLW      66
	MOVWF      ?lstr1_MCP23S09_32Based_32SW_32SPI_32LCD+9
	MOVLW      97
	MOVWF      ?lstr1_MCP23S09_32Based_32SW_32SPI_32LCD+10
	MOVLW      115
	MOVWF      ?lstr1_MCP23S09_32Based_32SW_32SPI_32LCD+11
	MOVLW      101
	MOVWF      ?lstr1_MCP23S09_32Based_32SW_32SPI_32LCD+12
	MOVLW      100
	MOVWF      ?lstr1_MCP23S09_32Based_32SW_32SPI_32LCD+13
	CLRF       ?lstr1_MCP23S09_32Based_32SW_32SPI_32LCD+14
	MOVLW      ?lstr1_MCP23S09_32Based_32SW_32SPI_32LCD+0
	MOVWF      FARG_SPI_LCD_Out_text+0
	MOVLW      hi_addr(?lstr1_MCP23S09_32Based_32SW_32SPI_32LCD+0)
	MOVWF      FARG_SPI_LCD_Out_text+1
	CALL       _SPI_LCD_Out+0
	MOVLW      2
	MOVWF      FARG_SPI_LCD_Out_row+0
	MOVLW      1
	MOVWF      FARG_SPI_LCD_Out_col+0
	MOVLW      83
	MOVWF      ?lstr2_MCP23S09_32Based_32SW_32SPI_32LCD+0
	MOVLW      111
	MOVWF      ?lstr2_MCP23S09_32Based_32SW_32SPI_32LCD+1
	MOVLW      102
	MOVWF      ?lstr2_MCP23S09_32Based_32SW_32SPI_32LCD+2
	MOVLW      116
	MOVWF      ?lstr2_MCP23S09_32Based_32SW_32SPI_32LCD+3
	MOVLW      32
	MOVWF      ?lstr2_MCP23S09_32Based_32SW_32SPI_32LCD+4
	MOVLW      83
	MOVWF      ?lstr2_MCP23S09_32Based_32SW_32SPI_32LCD+5
	MOVLW      112
	MOVWF      ?lstr2_MCP23S09_32Based_32SW_32SPI_32LCD+6
	MOVLW      105
	MOVWF      ?lstr2_MCP23S09_32Based_32SW_32SPI_32LCD+7
	MOVLW      32
	MOVWF      ?lstr2_MCP23S09_32Based_32SW_32SPI_32LCD+8
	MOVLW      76
	MOVWF      ?lstr2_MCP23S09_32Based_32SW_32SPI_32LCD+9
	MOVLW      67
	MOVWF      ?lstr2_MCP23S09_32Based_32SW_32SPI_32LCD+10
	MOVLW      68
	MOVWF      ?lstr2_MCP23S09_32Based_32SW_32SPI_32LCD+11
	CLRF       ?lstr2_MCP23S09_32Based_32SW_32SPI_32LCD+12
	MOVLW      ?lstr2_MCP23S09_32Based_32SW_32SPI_32LCD+0
	MOVWF      FARG_SPI_LCD_Out_text+0
	MOVLW      hi_addr(?lstr2_MCP23S09_32Based_32SW_32SPI_32LCD+0)
	MOVWF      FARG_SPI_LCD_Out_text+1
	CALL       _SPI_LCD_Out+0
	MOVLW      3
	MOVWF      FARG_SPI_LCD_Out_row+0
	MOVLW      1
	MOVWF      FARG_SPI_LCD_Out_col+0
	MOVLW      49
	MOVWF      ?lstr3_MCP23S09_32Based_32SW_32SPI_32LCD+0
	MOVLW      54
	MOVWF      ?lstr3_MCP23S09_32Based_32SW_32SPI_32LCD+1
	MOVLW      120
	MOVWF      ?lstr3_MCP23S09_32Based_32SW_32SPI_32LCD+2
	MOVLW      50
	MOVWF      ?lstr3_MCP23S09_32Based_32SW_32SPI_32LCD+3
	MOVLW      44
	MOVWF      ?lstr3_MCP23S09_32Based_32SW_32SPI_32LCD+4
	MOVLW      32
	MOVWF      ?lstr3_MCP23S09_32Based_32SW_32SPI_32LCD+5
	MOVLW      50
	MOVWF      ?lstr3_MCP23S09_32Based_32SW_32SPI_32LCD+6
	MOVLW      48
	MOVWF      ?lstr3_MCP23S09_32Based_32SW_32SPI_32LCD+7
	MOVLW      120
	MOVWF      ?lstr3_MCP23S09_32Based_32SW_32SPI_32LCD+8
	MOVLW      50
	MOVWF      ?lstr3_MCP23S09_32Based_32SW_32SPI_32LCD+9
	MOVLW      44
	MOVWF      ?lstr3_MCP23S09_32Based_32SW_32SPI_32LCD+10
	MOVLW      32
	MOVWF      ?lstr3_MCP23S09_32Based_32SW_32SPI_32LCD+11
	MOVLW      50
	MOVWF      ?lstr3_MCP23S09_32Based_32SW_32SPI_32LCD+12
	MOVLW      48
	MOVWF      ?lstr3_MCP23S09_32Based_32SW_32SPI_32LCD+13
	MOVLW      120
	MOVWF      ?lstr3_MCP23S09_32Based_32SW_32SPI_32LCD+14
	MOVLW      52
	MOVWF      ?lstr3_MCP23S09_32Based_32SW_32SPI_32LCD+15
	CLRF       ?lstr3_MCP23S09_32Based_32SW_32SPI_32LCD+16
	MOVLW      ?lstr3_MCP23S09_32Based_32SW_32SPI_32LCD+0
	MOVWF      FARG_SPI_LCD_Out_text+0
	MOVLW      hi_addr(?lstr3_MCP23S09_32Based_32SW_32SPI_32LCD+0)
	MOVWF      FARG_SPI_LCD_Out_text+1
	CALL       _SPI_LCD_Out+0
	MOVLW      4
	MOVWF      FARG_SPI_LCD_Out_row+0
	MOVLW      1
	MOVWF      FARG_SPI_LCD_Out_col+0
	MOVLW      80
	MOVWF      ?lstr4_MCP23S09_32Based_32SW_32SPI_32LCD+0
	MOVLW      73
	MOVWF      ?lstr4_MCP23S09_32Based_32SW_32SPI_32LCD+1
	MOVLW      67
	MOVWF      ?lstr4_MCP23S09_32Based_32SW_32SPI_32LCD+2
	MOVLW      49
	MOVWF      ?lstr4_MCP23S09_32Based_32SW_32SPI_32LCD+3
	MOVLW      50
	MOVWF      ?lstr4_MCP23S09_32Based_32SW_32SPI_32LCD+4
	MOVLW      70
	MOVWF      ?lstr4_MCP23S09_32Based_32SW_32SPI_32LCD+5
	MOVLW      49
	MOVWF      ?lstr4_MCP23S09_32Based_32SW_32SPI_32LCD+6
	MOVLW      56
	MOVWF      ?lstr4_MCP23S09_32Based_32SW_32SPI_32LCD+7
	MOVLW      52
	MOVWF      ?lstr4_MCP23S09_32Based_32SW_32SPI_32LCD+8
	MOVLW      48
	MOVWF      ?lstr4_MCP23S09_32Based_32SW_32SPI_32LCD+9
	CLRF       ?lstr4_MCP23S09_32Based_32SW_32SPI_32LCD+10
	MOVLW      ?lstr4_MCP23S09_32Based_32SW_32SPI_32LCD+0
	MOVWF      FARG_SPI_LCD_Out_text+0
	MOVLW      hi_addr(?lstr4_MCP23S09_32Based_32SW_32SPI_32LCD+0)
	MOVWF      FARG_SPI_LCD_Out_text+1
	CALL       _SPI_LCD_Out+0
L_main30:
	GOTO       L_main30
L_end_main:
	GOTO       $+0
; end of _main
